package executor

import (
	"fmt"
)

var (
	log = log_debug
	mode = "debug"
)

func SetMode(m string) {
	if m == "debug" {
		log = log_debug
		mode = m
	}else if m == "release" {
		log = log_release
		mode = m
	}
}

func GetMode() string {
	return mode
}

func GetVersion() string {
	return version
}

func log_debug(a ...interface{}) {
	fmt.Println(a...)
}

func log_release(a ...interface{}) {
}
